コンテンツへスキップ

Fibo

統合

モデルID bria/fibo/generate
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.04 40 APIクレジット · ≈ ₽4.22 このページで実行

APIキーを取得
Bria AI テキストから画像 #bria#fibo#prompt-adherence

通常または構造化 JSON プロンプトで動作し、任意の参照画像と 1MP または 4MP 出力に対応するテキストから画像を生成するモデル

Bria AI · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

画像生成に使用したプロンプト。

aspect_ratio デフォルト 1:1

画像のアスペクト比。使用可能な値: 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9。

resolution デフォルト 1MP

生成画像の解像度。

詳細設定 negative_prompt · image · steps_num · seed · structured_prompt
デフォルト

画像生成時に使用するネガティブプロンプト。

image_url
ファイルをドロップ、または

ファイルまたはURLで指定する参照画像。

デフォルト 50

推論ステップの総数。

デフォルト 5555

再現可能な結果のために乱数を制御するシード。

画像生成に使用する構造化プロンプト。

POST /run/bria/fibo/generate?wait=20 見積もり → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Fiboについて

`prompt` または JSON の `structured_prompt` から画像を生成し、`image_url` で参照画像も指定できます。`resolution` は 1MP または 4MP、`steps_num` は 20〜50 で、9 種類のアスペクト比を使用できます。`negative_prompt` と `seed` にも対応し、使用した構造化プロンプトを返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt任意
型string | null
画像生成に使用したプロンプト。
structured_prompt任意
型object
画像生成に使用する構造化プロンプト。
structured_prompt.short_description任意
型string | null
意図する出力画像の簡潔な説明。
structured_prompt.objects任意
型object[]
デフォルト[]
生成画像の内容をリストとして指定し、各オブジェクトの属性と、描画された他のオブジェクトとの関係を記録します。
structured_prompt.objects[].description任意
型string | null
意図する出力オブジェクトの説明。
structured_prompt.objects[].location任意
型string | null
画像内のオブジェクトの位置。
structured_prompt.objects[].relationship必須
型string
画像内の他のオブジェクトとの関係。
structured_prompt.objects[].relative_size任意
型string | null
画像に対するオブジェクトの相対サイズ。
structured_prompt.objects[].shape_and_color任意
型string | null
オブジェクトの形状と色。
structured_prompt.objects[].texture任意
型string | null
オブジェクトの質感。
structured_prompt.objects[].appearance_details任意
型string | null
オブジェクトの外観を説明する詳細。
structured_prompt.objects[].number_of_objects任意
型integer | null
画像内のオブジェクト数。
structured_prompt.objects[].pose任意
型string | null
描画されたオブジェクトのポーズ。
structured_prompt.objects[].expression任意
型string | null
描画されたオブジェクトの表情。
structured_prompt.objects[].clothing任意
型string | null
描画されたオブジェクトが着用する衣服。
structured_prompt.objects[].action任意
型string | null
描画されたオブジェクトが行う動作。
structured_prompt.objects[].gender任意
型string | null
描画されたオブジェクトの性別。
structured_prompt.objects[].skin_tone_and_texture任意
型string | null
描画されたオブジェクトの肌の質感と色調。
structured_prompt.objects[].orientation任意
型string | null
描画されたオブジェクトの向き。
structured_prompt.background_setting任意
型string | null
生成画像の背景設定。
structured_prompt.lighting任意
型object
生成画像の照明。
structured_prompt.lighting.conditions任意
型string | null
生成画像の照明条件。
structured_prompt.lighting.direction任意
型string | null
生成画像の照明方向。
structured_prompt.lighting.shadows任意
型string | null
生成画像に描画する影。
structured_prompt.aesthetics任意
型object
生成画像の美的特性。
structured_prompt.aesthetics.composition任意
型string | null
生成画像の構図。
structured_prompt.aesthetics.color_scheme任意
型string | null
生成画像のカラーパレット。
structured_prompt.aesthetics.mood_atmosphere任意
型string | null
生成画像の雰囲気と空気感。
structured_prompt.aesthetics.aesthetic_score任意
型string | null
生成対象画像の美的スコア。
structured_prompt.aesthetics.preference_score任意
型string | null
生成対象画像の嗜好スコア。
structured_prompt.photographic_characteristics任意
型object
生成画像の写真特性。
structured_prompt.photographic_characteristics.depth_of_field任意
型string | null
生成画像の被写界深度。
structured_prompt.photographic_characteristics.focus任意
型string | null
生成画像の焦点。
structured_prompt.photographic_characteristics.camera_angle任意
型string | null
生成画像のカメラアングル。
structured_prompt.photographic_characteristics.lens_focal_length任意
型string | null
焦点距離で表す生成画像のレンズ設定。
structured_prompt.style_medium任意
型string | null
生成画像の表現媒体。
structured_prompt.text_render任意
型any[]
デフォルト[]
画像に含めるテキスト項目のリスト。
structured_prompt.context任意
型string | null
生成画像のコンテキスト。
structured_prompt.artistic_style任意
型string | null
生成画像の芸術的スタイル。
structured_prompt.trigger_word任意
型string | null
structured_prompt.sub_trigger_word任意
型string | null
structured_prompt.art_direction任意
型string | null
structured_prompt.action_description任意
型string | null
structured_prompt.actor_prefix任意
型string | null
image_url任意 image
型url · image
ファイルまたはURLで指定する参照画像。
seed任意
型integer
デフォルト5555
再現可能な結果のために乱数を制御するシード。
steps_num任意
型integer
デフォルト50
20 – 50
推論ステップの総数。
aspect_ratio任意
型enum
デフォルト1:1
1:12:33:23:44:34:55:49:1616:9
画像のアスペクト比。使用可能な値: 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9。
negative_prompt任意
型string
デフォルト
画像生成時に使用するネガティブプロンプト。
resolution任意
型enum
デフォルト1MP
1MP4MP
生成画像の解像度。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo/generate",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {}
    ],
    "structured_prompt": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
images
array of object生成された画像。
structured_prompt
object現在使用中のプロンプト。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bria/fibo/generate.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt